Bug 239258 - databases/pecl-redis: Update to 5.0.1 and add backwards compatible port
Summary: databases/pecl-redis: Update to 5.0.1 and add backwards compatible port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-16 21:07 UTC by Daniel Ylitalo
Modified: 2019-07-19 00:00 UTC (History)
0 users

See Also:


Attachments
Updates ports pecl-redis to 5.0.1, pecl-redis4 to 4.3.0 and adds conflict to pecl-redis3 (4.28 KB, patch)
2019-07-16 21:07 UTC, Daniel Ylitalo
daniel: maintainer-approval+
Details | Diff
Updates port to 5.0.1 and removes pecl-redis3 (4.08 KB, patch)
2019-07-18 14:00 UTC, Daniel Ylitalo
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2019-07-16 21:07:11 UTC
Created attachment 205828 [details]
Updates ports pecl-redis to 5.0.1, pecl-redis4 to 4.3.0 and adds conflict to pecl-redis3

Provided patch passes portlint -AC in the following directories
databases/pecl-redis
databases/pecl-redis3
databases/pecl-redis4

All 3 ports also passes poudriere testport

Please issue the following before applying the patch:
svn cp databases/pecl-redis databases/pecl-redis4
Comment 1 Daniel Ylitalo 2019-07-16 21:09:51 UTC
Changelog:
https://pecl.php.net/package-changelog.php?package=redis&release=5.0.1
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-17 17:22:07 UTC
I don't think we have to keep an older version in the ports tree since php 5.6 was already removed at the beginning of this year. That means IGNORE_WITH_PHP=56 is no-op.

from MOVED:
lang/php56|lang/php72|2019-01-01|Has expired: Security Support ends on 31 Dec 2018
Comment 3 Daniel Ylitalo 2019-07-18 08:58:52 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #2)

Aaah right, I'm still living in the past :)

I'll upload a new patch in a moment as we can then remove pecl-redis3 entirely too
Comment 4 Daniel Ylitalo 2019-07-18 14:00:11 UTC
Created attachment 205866 [details]
Updates port to 5.0.1 and removes pecl-redis3

Updates port to 5.0.1 and removes old version that was for older compatability for  php 5.6
Comment 5 commit-hook freebsd_committer 2019-07-19 00:00:49 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jul 19 00:00:27 UTC 2019
New revision: 506900
URL: https://svnweb.freebsd.org/changeset/ports/506900

Log:
  Update to 5.0.1

  - Remove CONFLICTS_INSTALL

  Changes:	https://pecl.php.net/package-changelog.php?package=redis
  PR:		239258
  Submitted by:	Daniel Ylitalo <daniel@blodan.se> (maintainer)

Changes:
  head/databases/pecl-redis/Makefile
  head/databases/pecl-redis/distinfo
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-19 00:00:50 UTC
Committed. Thanks!
Comment 7 commit-hook freebsd_committer 2019-07-19 00:00:51 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jul 19 00:00:32 UTC 2019
New revision: 506901
URL: https://svnweb.freebsd.org/changeset/ports/506901

Log:
  Remove databases/pecl-redis3

  PR:		239258
  Submitted by:	Daniel Ylitalo <daniel@blodan.se> (maintainer)

Changes:
  head/MOVED
  head/databases/Makefile
  head/databases/pecl-redis3/